package user_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type UserFreezeRequest struct {
	UserInfoRequest *common.UserInfoRequest `json:"userInfoRequest"`
	// <ext>core:true</ext> 【冻结或解冻 】冻结或解冻  【传参】  取值范围：true（冻结用户），false（解冻用户）；不传值默认为：true（冻结用户）。
	Freeze *bool `json:"freeze,omitempty"`
}

func (obj UserFreezeRequest) GetUrl() string {
	return "/user/freeze"
}

func (obj UserFreezeRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
